# -*- coding: UTF-8 -*-

# répertoire de l'application ead
import os.path as osp
HERE = osp.dirname(__file__)
EAD_DIR = osp.normpath(osp.join(HERE, '..'))

try:
    from creole.parsedico import parse_dico
    dico = parse_dico()
    ip_locale = dico['adresse_ip_eth0']
    if dico.has_key('adresse_ip_sso'):
        AUTH_SERVER_ADDR = dico['adresse_ip_sso']
    else:
        AUTH_SERVER_ADDR = ip_locale
except:
    ip_locale = '192.168.230.74'
    AUTH_SERVER_ADDR = ip_locale    

#durée de vie d'un nombre magique permettant la communication entre un frontend et un backend
#ce timeout est reinitialise a chaque fois qu'une action est lancée
MAGIC_NUMBER_TIMEOUT = 3600 * 24

#durée de vie des sessions expirées. Quand une session expire, on la garde dans un cache pour savoir
#si quand une session est non valide, si elle avait expirée ou si elle n'a jamais existée
EXPIRED_SESSION_TIMEOUT = 60 * 60 * 2

#port du serveur d'authentification
AUTH_SERVER_PORT = '8765'
AUTH_FORM_PORT = '8443'
#URL de la page web d'authentification
AUTH_FORM_URL = 'https://%s:%s' % (AUTH_SERVER_ADDR, AUTH_FORM_PORT)
#URL du serveur d'authentification
AUTH_SERVER='https://%s:%s' % (AUTH_SERVER_ADDR, AUTH_SERVER_PORT)

#port d'ecoute du backend
BACKEND_LISTEN_PORT = 4201
#Port d'ecoute du serveur de fichier
EADFILE_LISTEN_PORT = 4202
EADFILE_URL = ip_locale
