# -*- coding: UTF-8 -*-
import xmlrpclib
from OpenSSL import SSL
from os.path import join, dirname

# transport sécurisé utilisant un certificat
class TransportEole(xmlrpclib.SafeTransport):
    
    def make_connection(self, host):
        # create a HTTPS connection object from a host descriptor
        # host may be a string, or a (host, x509-dict) tuple
        import httplib
        localhost, extra_headers, x509 = self.get_host_info(host)
        try:
            HTTPS = httplib.HTTPS
        except AttributeError:
            raise NotImplementedError(
                "your version of httplib doesn't support HTTPS"
                )
        else:
            cx = HTTPS(localhost, None,
                       key_file = join(dirname(__file__), 'certs/server.pem'),
                       cert_file = join(dirname(__file__), 'certs/server.pem'))
            return cx

        
#################################################
## Factory permettant de créer un contexte SSL ##
#################################################
class ServerContextFactory:

    def getContext(self):
        """Create an SSL context.
        This is a sample implementation that loads a certificate from a file 
        called 'server.pem'."""
        ctx = SSL.Context(SSL.SSLv23_METHOD)
        ctx.use_certificate_file(join(dirname(__file__), 'certs/server.pem'))
        ctx.use_privatekey_file(join(dirname(__file__), 'certs/server.pem'))
        return ctx
